Page MenuHomePhabricator

Update zotero translators on gerrit from the zotero repository on github
Closed, ResolvedPublic0 Estimated Story Points

Description

We have a separate fork of the Zotero translators at https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/zotero/translators

We periodically merge the upstream branch at https://github.com/zotero/translators into our branch.

Merge the upstream zotero branch into our fork on gerrit. You should squash the commit because gerrit won't let you push commits by other authors to gerrit. See: https://www.mediawiki.org/wiki/Gerrit/Getting_started on how to use Gerrit.

Event Timeline

Mvolz created this task.Oct 19 2017, 5:07 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 19 2017, 5:07 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
Mvolz updated the task description. (Show Details)Oct 23 2017, 10:51 AM

Maybe need to use https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/zotero/translators? The current link yields a "NOT FOUND"

Thanks, fixed.

@Mine0901 can mentor this one maybe? :).

Mvolz triaged this task as Medium priority.Nov 3 2017, 1:18 PM
Mvolz added a comment.Nov 3 2017, 1:52 PM

I will mentor this in Google-Code-in-2017

Mvolz moved this task from Backlog to Zotero on the Citoid board.Nov 3 2017, 2:22 PM
divadsn claimed this task.Dec 1 2017, 8:41 PM
divadsn added a subscriber: divadsn.

Will do it, patch coming soon :)

Change 394730 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/services/zotero/translators@master] Update translators to upstream HEAD 092c7bc

https://gerrit.wikimedia.org/r/394730

Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:28 PM

Change 394730 merged by Mobrovac:
[mediawiki/services/zotero/translators@master] Update translators to upstream HEAD 092c7bc

https://gerrit.wikimedia.org/r/394730

Mentioned in SAL (#wikimedia-operations) [2017-12-06T18:32:40Z] <mobrovac@tin> Started deploy [zotero/translators@3044b3a]: Update translators to 092c7bc - T178596

Mentioned in SAL (#wikimedia-operations) [2017-12-06T18:32:50Z] <mobrovac@tin> Finished deploy [zotero/translators@3044b3a]: Update translators to 092c7bc - T178596 (duration: 00m 07s)

mobrovac closed this task as Resolved.Dec 6 2017, 6:33 PM
mobrovac added a subscriber: mobrovac.

Deployed, resolving. Thnx @divadsn !

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 6 2017, 6:33 PM
Jdforrester-WMF set the point value for this task to 0.Dec 13 2017, 5:51 PM